Skip to main content
GET
ListNotifications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of notifications to return. The service may return fewer than this value. If unspecified, at most 50 notifications will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListNotifications call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListNotifications must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are notification_id, created_by_user_id, recipient_user_id, created_date, notification_type, and is_read. For further information about how to use CELs, please refer to this guide.

Response

A successful response.

The response of a call to NotificationService_ListNotifications.

notifications
object[]
nextPageToken
string